// stylelint-disable
@import '../../assets/styles/common.scss';

.custom-input {
  &__left {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2rem;
    padding-right: 1.5rem;
  }

  &__center {
    width: 100%;
  }

  &-white {
    &__icon {
      &-left {
        width: 100%;
      }

      &-right {
        display: block;
        height: 70%;
        margin: auto;

        &-wrapper {
          display: flex;
          flex-direction: column;
          justify-content: center;
          position: absolute;
          top: 4px;
          right: -2rem;
          z-index: 1;
          width: 3.5rem;
          height: 3.5rem;
          border: 3px solid $blue-light;
          border-radius: 50%;
          background: $white;

          &--active {
            @extend .custom-input-white__icon-right-wrapper;

            background: $white;

            &::after {
              content: '';
              position: absolute;
              top: 0;
              left: 1.8rem;
              z-index: -1;
              width: 50%;
              height: 100%;
              border-radius: 50%;
            }

            &-glowless {
              @extend .custom-input-white__icon-right-wrapper--active;

              border: 3px solid $blue-light;
              box-shadow: none;

              &::after {
                box-shadow: none;
              }
            }
          }

          &-callback {
            @extend .custom-input-white__icon-right-wrapper;
            // If this class exists, a callback handler exists and the hover state should be altered.
            &:hover {
              cursor: pointer;
            }

            &--active {
              @extend .custom-input-white__icon-right-wrapper--active;

              &:hover {
                cursor: pointer;
              }

              &-glowless {
                @extend .custom-input-white__icon-right-wrapper--active;

                border: 3px solid $blue-light;
                box-shadow: none;
              }
            }
          }
        }
      }
    }

    &__mui {
      width: 100%;

      &-icon-left, &-icon-right, &-icon-both {
        @extend .custom-input-white__mui;
        // Font size is set within the MUI.css to override MUI style default of 16px.
      }
    }

    &__wrapper {
      display: flex;
      position: relative;
      width: 100%;
      height: 1rem;
      padding: 2rem;
      -webkit-border-radius: 1.1rem;
      -moz-border-radius: 1.1rem;
      border-radius: 1.1rem;
      background: $white;

      &--active {
        @extend .custom-input-white__wrapper;

        background: $white;

        &-glowless {
          @extend .custom-input-white__wrapper--active;

          box-shadow: none;

          &::after {
            box-shadow: none;
          }
        }

        &-red {
          @extend .custom-input-white__wrapper;

          border: 3px solid red;
          background: $white;
        }
      }
    }
  }

  &-basic {
    &__icon {
      &-left {
        width: 100%;
      }

      &-right {
        display: block;
        height: 70%;
        margin: auto;

        &-wrapper {
          display: flex;
          flex-direction: column;
          justify-content: center;
          position: absolute;
          top: .7rem;
          right: .7rem;
          z-index: 1;
          width: 3.5rem;
          height: 3.5rem;
          border-radius: 50%;
          background: $input-blue;

          &--active {
            @extend .custom-input-basic__icon-right-wrapper;

            background: $black;

            &::after {
              content: '';
              position: absolute;
              top: 0;
              left: 1.8rem;
              z-index: -1;
              width: 50%;
              height: 100%;
              border-radius: 50%;
            }

            &-glowless {
              @extend .custom-input-basic__icon-right-wrapper--active;

              border: 3px solid $blue-light;
              box-shadow: none;

              &::after {
                box-shadow: none;
              }
            }
          }

          &-callback {
            @extend .custom-input-basic__icon-right-wrapper;
            // If this class exists, a callback handler exists and the hover state should be altered.
            &:hover {
              cursor: pointer;
            }

            &--active {
              @extend .custom-input-basic__icon-right-wrapper--active;

              &:hover {
                cursor: pointer;
              }

              &-glowless {
                @extend .custom-input-basic__icon-right-wrapper--active;

                border: 3px solid $blue-light;
                box-shadow: none;
              }
            }
          }
        }
      }
    }

    &__mui {
      width: 100%;

      &-icon-left, &-icon-right, &-icon-both {
        @extend .custom-input-basic__mui;
        // Font size is set within the MUI.css to override MUI style default of 16px.
      }
    }

    &__wrapper {
      display: flex;
      position: relative;
      width: 37.5rem;
      height: 1rem;
      padding: 2rem;
      border: 2px solid $blue-light;
      -webkit-border-radius: 1.1rem;
      -moz-border-radius: 1.1rem;
      border-radius: 1.1rem;
      color: $blue-light;
      background: $input-blue;
      box-shadow: 0 0 20px 2px $input-blue-glow;

      input {
        font-size: 1.6rem;
        color:$white;
      }

      &--active {
        @extend .custom-input-basic__wrapper;

        border: 2px solid $input-green;
        background: $black;
        box-shadow: 0 0 20px 10px $input-green-glow;

        &-red {
          @extend .custom-input-basic__wrapper;

          border: 2px solid red;
          background: $black;
          box-shadow: 0 0 2px red;
        }

        &-glowless {
          @extend .custom-input-basic__wrapper--active;

          border: 2px solid $blue-light;
          box-shadow: none;

          &::after {
            box-shadow: none;
          }
        }
      }
    }

    &__errorBox {
      position: absolute;
      top:0;
      right:-33rem;
      z-index: 2500;
    }
  }

  &-update-profile {
    $updateProfileWidth: 100%;

    &__icon {
      &-left {
        @extend .custom-input-basic__icon-left;

        display: flex;
        margin-top: 0;
      }

      &-right {
        @extend .custom-input-basic__icon-right;

        &-wrapper {
          @extend .custom-input-basic__icon-right-wrapper;

          &--active {
            @extend .custom-input-basic__icon-right-wrapper;

            background: $black;

            &::after {
              content: '';
              position: absolute;
              top: 0;
              left: 1.8rem;
              z-index: -1;
              width: 50%;
              height: 100%;
              border-radius: 50%;
            }

            &-glowless {
              @extend .custom-input-basic__icon-right-wrapper--active;

              border: 3px solid $blue-light;
              box-shadow: none;

              &::after {
                box-shadow: none;
              }
            }
          }

          &-callback {
            @extend .custom-input-basic__icon-right-wrapper;
            // If this class exists, a callback handler exists and the hover state should be altered.
            &:hover {
              cursor: pointer;
            }

            &--active {
              @extend .custom-input-basic__icon-right-wrapper--active;

              &:hover {
                cursor: pointer;
              }

              &-glowless {
                @extend .custom-input-basic__icon-right-wrapper--active;

                border: 3px solid $blue-light;
                box-shadow: none;
              }
            }
          }
        }
      }
    }

    &__mui {
      width: 100%;

      &-icon-left, &-icon-right, &-icon-both {
        @extend .custom-input-basic__mui;
        // Font size is set within the MUI.css to override MUI style default of 16px.
      }
    }

    &__wrapper {
      @extend .custom-input-basic__wrapper;

      width: $updateProfileWidth;

      &--active {
        @extend .custom-input-basic__wrapper;

        width: $updateProfileWidth;
        border: 2px solid $input-green;
        background: $black;
        box-shadow: 0 0 20px 10px $input-green-glow;

        &-glowless {
          @extend .custom-input-basic__wrapper--active;

          width: $updateProfileWidth;
          border: 2px solid $blue-light;
          box-shadow: none;

          &::after {
            box-shadow: none;
          }
        }

        &-red {
          @extend .custom-input-basic__wrapper;

          width: $updateProfileWidth;
          border: 2px solid red;
          background: $black;
          box-shadow: 0 0 2px red;
        }
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &__center {
      margin-top: -.8rem;
    }
  }

  @media only screen and (max-width: 1024px) {
    &__center {
      margin-top: -1rem;
    }
  }

  @media only screen and (max-width: 768px) {
    &__center {
      margin-top: -1.6rem;
    }
  }
}
